UpdateConnector
Updates the description or provider-specific configuration details of an existing connector.
Request Syntax
POST /connector/update HTTP/1.1
Content-type: application/json
{
"connectorArn": "string",
"description": "string",
"providerDetail": { ... }
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- connectorArn
-
The Amazon Resource Name (ARN) of the connector to update.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
arn:aws(-[a-z]+)*:inspector2:[a-z0-9-]+:[0-9]{12}:connector/([a-f0-9-]+|aws-service-connector/.+/[a-f0-9-]+)Required: Yes
- description
-
The updated description of the connector.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 200.
Pattern:
[^\p{C}]*Required: No
- providerDetail
-
The updated provider-specific configuration details for the connector.
Type: ProviderDetailUpdate object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"connectorArn": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- connectorArn
-
The Amazon Resource Name (ARN) of the updated connector.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
arn:aws(-[a-z]+)*:inspector2:[a-z0-9-]+:[0-9]{12}:connector/([a-f0-9-]+|aws-service-connector/.+/[a-f0-9-]+)
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
For
Enable, you receive this error if you attempt to use a feature in an unsupported AWS Region.HTTP Status Code: 403
- ConflictException
-
A conflict occurred. This exception occurs when the same resource is being modified by concurrent requests.
HTTP Status Code: 409
- InternalServerException
-
The request has failed due to an internal failure of the Amazon Inspector service.
- retryAfterSeconds
-
The number of seconds to wait before retrying the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The operation tried to access an invalid resource. Make sure the resource is specified correctly.
HTTP Status Code: 404
- ThrottlingException
-
The limit on the number of requests per second was exceeded.
- retryAfterSeconds
-
The number of seconds to wait before retrying the request.
HTTP Status Code: 429
- ValidationException
-
The request has failed validation due to missing required fields or having invalid inputs.
- fields
-
The fields that failed validation.
- reason
-
The reason for the validation failure.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: